import objectdraw.*;
import java.awt.*;
import javax.swing.*;

// A class that combines a text field and an associated label as a single
// GUI component by putting them toghether in a panel

public class LabeledTextField extends JPanel {

	// Font used to make controls readable
	private final Font bigFont = new Font("Times", Font.PLAIN, 18);

	// The label that belongs with the text field
	private JLabel lab;

	// The field itself
	private JTextField field;

	public LabeledTextField(String text, int width) {

		lab = new JLabel(text);
		field = new JTextField("", width);
		field.setFont(bigFont);
		lab.setFont(bigFont);

//		setLayout(new BorderLayout());

//		add(lab, BorderLayout.NORTH);
//		add(field, BorderLayout.SOUTH);
		add(lab);
		add(field);

	}

	public String getText() {
		return field.getText();
	}

	public void setText(String text) {
		field.setText(text);
	}
}
