import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "substring" method of the String class.

public class SubStringTester extends StringInput implements StringOpTester {
     
    // Two text fields are provided to specify starting and ending positions
    private LabeledTextField position, ending;
    
    public SubStringTester() {
	position = new LabeledTextField("  Starting Position   ",7);
	inputPanel.add(position);
	
	ending = new LabeledTextField("Ending Position",7);
	inputPanel.add(ending);
    }
    
    // Return the name of the method this class invokes
    public String getChoiceLabel() {
	return "substring";
    }
    
	public String toString() {
	return "substring";
	}
    
    // Perform "charAt" operation when requested
    public String doIt() {
	try {
	    return "" + sourceField.getText().substring(Integer.parseInt(position.getText()),
							Integer.parseInt(ending.getText()) );
   	} catch (Exception e) {
	    return "The starting or ending position specified is invalid or out of range";
   	}
    }
}
